# na_elementsw_ldap – NetApp Element Software Manage ldap admin users

New in version 2.7.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Enable, disable ldap, and add ldap users

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1

- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

authType
-

Choices:
- DirectBind
- SearchAndBind

Identifies which user authentication method to use.

groupSearchBaseDn - |  | The base DN of the tree to start the group search (will do a subtree search from here)
groupSearchCustomFilter - |  | For use with the CustomFilter Search type

groupSearchType
-

Choices:
- NoGroup
- ActiveDirectory
- MemberDN

Controls the default group search filter used

hostname - / required |  | The hostname or IP address of the SolidFire cluster.
password - / required |  | Password for the specified user. aliases: pass
searchBindDN - |  | A dully qualified DN to log in with to perform an LDAp search for the user (needs read access to the LDAP directory).
searchBindPassword - |  | The password for the searchBindDN account used for searching
serverURIs - |  | A comma-separated list of LDAP server URIs

state
- / required

Choices:
- present
- absent

Whether the specified volume should exist or not.

userDNTemplate - |  | A string that is used form a fully qualified user DN.
username - / required |  | Please ensure that the user has the adequate permissions. For more information, please read the official documentation https://mysupport.netapp.com/documentation/docweb/index.html?productID=62636&language=en-US. aliases: user
userSearchBaseDN - |  | The base DN of the tree to start the search (will do a subtree search from here)
userSearchFilter - |  | the LDAP Filter to use

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: disable ldap authentication
      na_elementsw_ldap:
        state: absent
        username: "{{ admin username }}"
        password: "{{ admin password }}"
        hostname: "{{ hostname }}"

    - name: Enable ldap authentication
      na_elementsw_ldap:
        state: present
        username: "{{ admin username }}"
        password: "{{ admin password }}"
        hostname: "{{ hostname }}"
        authType: DirectBind
        serverURIs: ldap://svmdurlabesx01spd_ldapclnt
        groupSearchType: MemberDN
        userDNTemplate:  uid=%USERNAME%,cn=users,cn=accounts,dc=corp,dc="{{ company name }}",dc=com

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.